| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# GaudiPython::HistoDecorator Class Reference

`#include <GaudiPython/HistoDecorator.h>`

List of all members.

## Detailed Description

Simple decorator class to allow to reuse the functionality of GaudiHistos<TYPE> class in pythin.

Author:
  Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr

Date:
  2005-08-04

Definition at line 25 of file HistoDecorator.h.

## Static Public Member Functions
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram (book on demand)
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand)
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand)
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand)
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand)
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand)
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand)
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)

## Member Function Documentation

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | data
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 31 of file HistoDecorator.cpp.

    00037 { return algo.plot1D( data , title , low , high , bins ) ; }

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | data
  | ID | histogram ID
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 51 of file HistoDecorator.cpp.

    00058 { return algo.plot1D( data , ID , title , low , high , bins ) ; }

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | data
  | ID | histogram ID
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 72 of file HistoDecorator.cpp.

    00079 { return algo.plot1D( data , ID , title , low , high , bins ) ; }

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | data
  | ID | histogram ID
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 93 of file HistoDecorator.cpp.

    00100 { return algo.plot1D( data , ID , title , low , high , bins ) ; }

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | vector of data
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 113 of file HistoDecorator.cpp.

    00119 {
    00120   return algo.plot
    00121     ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
    00122       data.begin ()              ,
    00123       data.end   ()              ,
    00124       title , low , high , bins  ) ;
    00125 }

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | vector of data
  | ID | histogram ID
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 139 of file HistoDecorator.cpp.

    00146 {
    00147   return algo.plot
    00148     ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
    00149       data.begin ()                       ,
    00150       data.end   ()                       ,
    00151       ID , title , low , high , bins      ) ;
    00152 }

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | vector of data
  | ID | histogram ID
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 166 of file HistoDecorator.cpp.

    00173 {
    00174   return algo.plot
    00175     ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
    00176       data.begin ()                       ,
    00177       data.end   ()                       ,
    00178       ID , title , low , high , bins      ) ;
    00179 }

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100` |
| ) |  |  | `[static]`

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters:

  | algo | the algorihtm
  | data | vector of data
  | ID | histogram ID
  | title | histogram title
  | low | low edge
  | high | high edge
  | bins | number of bins

Definition at line 193 of file HistoDecorator.cpp.

    00200 {
    00201   return algo.plot
    00202     ( GaudiPython::_identity<GaudiPython::Vector::value_type>() ,
    00203       data.begin ()                       ,
    00204       data.end   ()                       ,
    00205       ID , title , low , high , bins      ) ;
    00206 }

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 2D histogram (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | weight | weight

Returns:
  pointer to AIDA 2D histogram

Definition at line 223 of file HistoDecorator.cpp.

    00234 {
    00235   return algo.plot2D ( valueX , valueY ,
    00236                        title  ,
    00237                        lowX   , highX  ,
    00238                        lowY   , highY  ,
    00239                        binsX  , binsY  , weight ) ;
    00240 }

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 2D histogram with forced ID assignment (book on demand)

fill the 2D histogram (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | ID | Histogram ID to use
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | weight | weight

Returns:
  pointer to AIDA 2D histogram

Definition at line 258 of file HistoDecorator.cpp.

    00270 {
    00271   return algo.plot2D ( valueX , valueY ,
    00272                        ID     , title  ,
    00273                        lowX   , highX  ,
    00274                        lowY   , highY  ,
    00275                        binsX  , binsY  , weight ) ;
    00276 }

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 2D histogram with forced ID assignment (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | ID | Histogram ID to use
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | weight | weight

Returns:
  pointer to AIDA 2D histogram

Definition at line 294 of file HistoDecorator.cpp.

    00306 {
    00307   return algo.plot2D ( valueX , valueY ,
    00308                        ID     , title  ,
    00309                        lowX   , highX  ,
    00310                        lowY   , highY  ,
    00311                        binsX  , binsY  , weight ) ;
    00312 }

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 2D histogram with forced ID assignment (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | ID | Histogram ID to use
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | weight | weight

Returns:
  pointer to AIDA 2D histogram

Definition at line 330 of file HistoDecorator.cpp.

    00342 {
    00343   return algo.plot2D ( valueX , valueY ,
    00344                        ID     , title  ,
    00345                        lowX   , highX  ,
    00346                        lowY   , highY  ,
    00347                        binsX  , binsY  , weight ) ;
    00348 }

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 3D histogram (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | valueZ | z value to be filled
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | lowZ | low z limit for histogram
  | highZ | high z limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | binsZ | number of bins in z
  | weight | weight

Returns:
  pointer to AIDA 3D histogram

Definition at line 369 of file HistoDecorator.cpp.

    00384 {
    00385   return algo. plot3D ( valueX , valueY , valueZ ,
    00386                         title                    ,
    00387                         lowX   , highX  ,
    00388                         lowY   , highY  ,
    00389                         lowZ   , highZ  ,
    00390                         binsX  , binsY  , binsZ  ,
    00391                         weight                   ) ;
    00392 }

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 3D histogram (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | valueZ | z value to be filled
  | ID | Histogram ID to use
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | lowZ | low z limit for histogram
  | highZ | high z limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | binsZ | number of bins in z
  | weight | weight

Returns:
  pointer to AIDA 3D histogram

Definition at line 413 of file HistoDecorator.cpp.

    00429 {
    00430   return algo. plot3D ( valueX , valueY , valueZ ,
    00431                         ID     , title  ,
    00432                         lowX   , highX  ,
    00433                         lowY   , highY  ,
    00434                         lowZ   , highZ  ,
    00435                         binsX  , binsY  , binsZ  ,
    00436                         weight                   ) ;
    00437 }

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 3D histogram (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | valueZ | z value to be filled
  | ID | Histogram ID to use
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | lowZ | low z limit for histogram
  | highZ | high z limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | binsZ | number of bins in z
  | weight | weight

Returns:
  pointer to AIDA 3D histogram

Definition at line 458 of file HistoDecorator.cpp.

    00474 {
    00475   return algo. plot3D ( valueX , valueY , valueZ ,
    00476                         ID     , title  ,
    00477                         lowX   , highX  ,
    00478                         lowY   , highY  ,
    00479                         lowZ   , highZ  ,
    00480                         binsX  , binsY  , binsZ  ,
    00481                         weight                   ) ;
    00482 }

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

fill the 3D histogram (book on demand)

Parameters:

  | valueX | x value to be filled
  | valueY | y value to be filled
  | valueZ | z value to be filled
  | ID | Histogram ID to use
  | title | histogram title (must be unique within the algorithm)
  | lowX | low x limit for histogram
  | highX | high x limit for histogram
  | lowY | low y limit for histogram
  | highY | high y limit for histogram
  | lowZ | low z limit for histogram
  | highZ | high z limit for histogram
  | binsX | number of bins in x
  | binsY | number of bins in y
  | binsZ | number of bins in z
  | weight | weight

Returns:
  pointer to AIDA 3D histogram

Definition at line 504 of file HistoDecorator.cpp.

    00520 {
    00521   return algo. plot3D ( valueX , valueY , valueZ ,
    00522                         ID     , title  ,
    00523                         lowX   , highX  ,
    00524                         lowY   , highY  ,
    00525                         lowZ   , highZ  ,
    00526                         binsX  , binsY  , binsZ  ,
    00527                         weight                   ) ;
    00528 }

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 534 of file HistoDecorator.cpp.

    00545 {
    00546   return algo.profile1D
    00547     ( valueX , valueY , title , lowX , highX , binsX ,
    00548       opt , lowY , highY , weight ) ;
    00549 }

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 555 of file HistoDecorator.cpp.

    00567 {
    00568   return algo.profile1D
    00569     ( valueX , valueY , ID , title , lowX , highX , binsX ,
    00570       opt , lowY , highY , weight ) ;
    00571 }

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 577 of file HistoDecorator.cpp.

    00589 {
    00590   return algo.profile1D
    00591     ( valueX , valueY , ID , title , lowX , highX , binsX ,
    00592       opt , lowY , highY , weight ) ;
    00593 }

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 599 of file HistoDecorator.cpp.

    00611 {
    00612   return algo.profile1D
    00613     ( valueX , valueY , ID , title , lowX , highX , binsX ,
    00614       opt , lowY , highY , weight ) ;
    00615 }

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 621 of file HistoDecorator.cpp.

    00633 {
    00634   return algo.profile2D
    00635     ( valueX , valueY , valueZ ,
    00636       title  ,
    00637       lowX   , highX  ,
    00638       lowY   , highY  ,
    00639       binsX  , binsY  , weight  ) ;
    00640 }

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 646 of file HistoDecorator.cpp.

    00659 {
    00660   return algo.profile2D
    00661     ( valueX , valueY , valueZ ,
    00662       ID     , title  ,
    00663       lowX   , highX  ,
    00664       lowY   , highY  ,
    00665       binsX  , binsY  , weight  ) ;
    00666 }

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 672 of file HistoDecorator.cpp.

    00685 {
    00686   return algo.profile2D
    00687     ( valueX , valueY , valueZ ,
    00688       ID     , title  ,
    00689       lowX   , highX  ,
    00690       lowY   , highY  ,
    00691       binsX  , binsY  , weight  ) ;
    00692 }

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0` |
| ) |  |  | `[static]`

Definition at line 698 of file HistoDecorator.cpp.

    00711 {
    00712   return algo.profile2D
    00713     ( valueX , valueY , valueZ ,
    00714       ID     , title  ,
    00715       lowX   , highX  ,
    00716       lowY   , highY  ,
    00717       binsX  , binsY  , weight  ) ;
    00718 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiPython/GaudiPython/HistoDecorator.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiPython/src/Lib/HistoDecorator.cpp